aggregate_methods_by_regexp
aggregate_properties_by_list
Object Aggregation Functions
PHP Manual

# aggregate_methods

Dynamic class and object aggregation of methods

### Description

void aggregate_methods ( object `$object` , string `$class_name` )

Aggregates all methods defined in a class to an existing object, except for the class constructor, or methods whose names start with an underscore character (_) which are considered private to the aggregated class.

### Parameters

`object`

`class_name`

### Return Values

No value is returned.

### See Also

- aggregate
- aggregate_info
- aggregate_methods_by_list
- aggregate_methods_by_regexp
- aggregate_properties
- aggregate_properties_by_list
- aggregate_properties_by_regexp
- deaggregate